LEI-BLOB(1)

NAME
lei-blob - display a git blob, reconstructing from mail if necessary

SYNOPSIS
lei blob [OPTIONS] OID

DESCRIPTION
Display a git blob. The blob may correspond to a message from the local store, any local external, or blobs associated with a project git repository (if run from a git (working) directory). For blobs which do not exist, it will attempt to recreate the blob using patch emails.

OPTIONS

--git-dir=DIR
    Specify an additional .git/ directory to scan. This option may be given multiple times.

    Default: the output of "git rev-parse --git-dir"

--no-cwd
    Do not look in the git repository of the current working directory.

--no-mail
    Do not look in mail storage for "OID". This is implied by "--oid-a", "--path-a", and "--path-b".

-A OID-A
--oid-a=OID-A
    Provide pre-image object ID as a hint for reconstructing "OID".

-a PATH-A
--path-a=PATH-A
    Provide pre-image pathname as a hint for reconstructing "OID".

-b PATH-B
--path-b=PATH-B
    Provide post-image pathname as a hint for reconstructing "OID".

-v
--verbose
    Provide more feedback on stderr.

The following options are also supported and are described in lei-q(1).

--remote
    Remote externals only get queried when the blob needs to be reconstructed from patch emails.

--no-local
--no-external
-I LOCATION, --include=LOCATION
--exclude=LOCATION
--only=LOCATION
--no-import-remote
--torsocks=auto|no|yes
--no-torsocks
--proxy=PROTOCOL://HOST[:PORT]

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-add-external(1), lei-q(1)